//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#include "neonz.h"

void DrawMouse()
{
	if(!g_bMouseLocked)
	{
		DrawModeAlpha();
		float old = SetLineThickness(2.0f);
		DrawLine(g_nMouseX, g_nMouseY, g_nMouseX, g_nMouseY + 20, -10, 0xff00ff00);
		DrawLine(g_nMouseX, g_nMouseY, g_nMouseX + 15, g_nMouseY + 15, -10, 0xff00ff00);
		SetLineThickness(old);
		DrawModeSolid();
	}
}
